List Product Metrics Using GET

List Product Metrics Using GET

Get a list of products of the contract. Supported selectors: product.name, product.code, uom.

Pre-authorized roles: Operations, Read Only

Request
URI
GET
https://{api_host}//vcp.vmware.com/api/provider/v1/contracts/{contractId}/products
COPY
Path Parameters
string
contractId
Required

Contract id

contractId example
630c2f68-xxxx-xxxx-xxxx-61f8245eaca1
Query Parameters
string
filter
Optional

FIQL format

integer
limit
Optional

limit

integer
offset
Optional

offset

string
sort
Optional

sort


Responses
200

OK

Returns PageOfProduct of type(s) application/json
{
    "content": [
        {
            "product": {
                "id": "892ae1d0-xxxx-xxxx-xxxx-f04b00000005",
                "code": "VR-OSTACK4-C",
                "name": "VMware Integrated OpenStack"
            },
            "uom": "GB vRAM"
        }
    ],
    "total": 1
}
array of Product
content
Optional

content

integer As int64 As int64
total
Optional

total


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure